-- Notecase Pro sample script (requires Notecase Pro >= 3.1.3)
--
-- Description:
-- display title and body HTML for all notes of the currently active document (requires version 2.5.8)

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 3)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.3")
	return
end

-- get info on the currently active document
nDocID = Nc_Doc_ID_GetCur()
nNoteCount = Nc_Doc_NoteCount(nDocID)

-- for each document note
for i=1,nNoteCount do 
	-- get info on the note (note indexes start from 0)
	strNoteID    = Nc_Note_ID_GetByIdx(nDocID, i-1)
	strNoteTitle = Nc_Note_Title_Get(nDocID, strNoteID)
	strNoteHtml = Nc_Note_Content_Get(nDocID, strNoteID, 1)

	Nc_GUI_MessageBox("Note:" .. strNoteTitle .. "\nHTML:" .. strNoteHtml)
end 

