-- Notecase Pro sample script (requires Notecase Pro >= 3.1.4)
--
-- Description:
-- paste the text from clipboard into the current note (content is pasted as plain text)

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 4)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.4")
	return
end

-- get info on the currently active document/note
nDocID = Nc_Doc_ID_GetCur()
strCurNoteID = Nc_Note_ID_GetCur(nDocID)

-- check if note is selected, else throw an error message and abort script
if strCurNoteID == "" then
 	Nc_GUI_MessageBox("No note selected, aborting")
	return 
end

-- get clipboard content and store as variable strClipboardText
strClipboardText = Nc_Env_Clipboard_Get()

-- check if clipboard is empty; if so throw error message and abort script
if strClipboardText == "" then
 	Nc_GUI_MessageBox("Clipboard text is empty, aborting")
	return 
end

-- Nc_GUI_MessageBox(strClipboardText)

-- get selected content from note (will be overwritten with the new content)
nSelFrom, nSelTo = Nc_Note_SelectionRange_Get (nDocID, strCurNoteID)

-- paste the text
Nc_Note_Content_Set(nDocID, strCurNoteID, strClipboardText, 0, nSelFrom, nSelTo)
