-- Notecase Pro sample script (requires Notecase Pro >= 3.1.4)
--
-- Description:
-- Copies all notes listed in List Pane to the clipboard in the form of hyperlinks to the notes (one per line)

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 4)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.4")
	return
end


nDocID = Nc_Doc_ID_GetCur() 

strLink = ""

-- for each note in the List Pane
nListCount = Nc_App_List_GetCount()
for i=1,nListCount do 
	-- get info on the note (note indexes start from 0)
	strNoteID    = Nc_App_List_Note_GetID(i-1)
	strNoteTitle = Nc_Note_Title_Get(nDocID, strNoteID)

	-- if note title has multiple lines, replace new line
	-- with space to make the title fit into a single line
	strNoteTitle = string.gsub(strNoteTitle, "\n", " ") 

		-- comment next two code lines if you want multiple spaces between words in the title
	
	-- if they exist replace triple spaces in title with single space 
	strNoteTitle = string.gsub(strNoteTitle, "   ", " ")

	-- if they exist replace double spaces in note title with single space
	strNoteTitle = string.gsub(strNoteTitle, "  ", " ")

	-- add link HTML to the result
	strLink = strLink .. "<a href=\"#" .. strNoteID .. "\">" .. strNoteTitle .. "</a><br>\n"
end 

-- write link to clipboard
Nc_Env_Clipboard_Set(strLink, 1)
